{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<link href="{% static 'css/olt_provisioning.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}

<div class="panel panel-inverse" data-sortable-id="utps-cpe-provisioning" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Provisionar UTP</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body" id="content-onus">

    <div class="m-b-8">
      <div class="f-s-14 p-1" title="Por alias de Nodo UTP">Por favor complete el siguiente formulario antes de continuar.</div>
      <br>
      <a href="#modal-provisioning_utp" class="btn btn-success" data-toggle="modal">Abrir modal</a>
    </div>
  </div>
  <!-- end panel-body -->
</div>


<div class="modal fade" id="modal-create-sleep" data-keyboard="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>


<!-- Modal -->
<div class="modal fade modal-lg" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="top: 80px !important; left: 400px !important;">
  <div class="modal-dialog modal-dialog-draggable" role="document">
    <div class="modal-content">

    </div>
  </div>
</div>


<div class="modal fade" id="modal-provisioning_utp">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Provisionar CPE UTP</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_plan"></div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_prov_cpetype">
            <b>Tipo</b> de CPE <b style="color: red;">*</b>
          </label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_prov_cpetype">
              <option value="mikrotik">Mikrotik</option>
              <option value="airrouter">airRouter</option>
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_prov_mac">
            <b>MAC eth1</b> del equipo <b style="color: var(--red);">*</b>
          </label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_prov_mac" data-parsley-required="true" required="true"/>
          </div>
        </div> 

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_prov_node">
            <b>Nodo</b> a provisionar <b style="color: var(--red);">*</b>
          </label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_prov_node">
            </select>
          </div>
        </div>

        <div class="row">
          <div class="col-md-11">
            <label for="utp_check_restartvalues">
              <p style="color: var(--blue);">Confirme con el técnico que el equipo se reinició a los valores de fábrica <b style="color: red;">*</b></p> 
            </label>
          </div>
          <div class="col-md-1">
            <input type="checkbox" name="utp_check_restartvalues" id="utp_check_restartvalues" value="true"><br>
          </div>
        </div>

        <div class="row">
          <div class="col-md-11">
            <label for="utp_check_deviceconected">
              <p style="color: var(--blue);">Confirme con el técnico que el equipo está conectado en la puerta eth2 <b style="color: red;">*</b></p> 
            </label>
          </div>
          <div class="col-md-1" style="float: right !important;">
            <input type="checkbox" name="utp_check_deviceconected" id="utp_check_deviceconected" value="true"><br>
          </div>
        </div>

        <div class="row">
          <div class="col-md-8 offset-md-4">
            <p style="color: var(--yellow);" class="col-form-label">No olvide que todos los pasos son necesarios.</p>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <a  href="javascript:;" data-dismiss="modal" class="btn btn-white">Cancelar</a>
        <button type="button" class="btn btn-primary" onclick="provisionUTPperform()">Comprobar</button>
      </div>
      </form>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script src="{% static 'plugins/imask/imask.4.1.5.min.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/utp_provisioning_step1.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}

